{% extends 'base.html' %}

{% block body %}
<h2><a style="padding:10px;" href="{% url 'contragent_list' %}"><i class="fas fa-caret-square-left"></i></a></h2>
<div class="forms">
  <div class="card-body">
    <h2>Введення/редагування в довідник контрагента</h2>
    <form method="post">
      {% csrf_token %}

      <div class="row">
        <div style="width: 50%;">
          <div class="column">
            <label for="id_shortname">Коротка назва</label>
            {{ form.shortname }}{{ form.shortname.errors }}
          </div>
        </div>
        <div style="width: 50%;">
          <div class="column">
            <label for="id_edrpou">Код ЄДРПОУ</label>
            {{ form.edrpou }}{{ form.edrpou.errors }}
          </div>
        </div>
      </div>

        <div class="column">
          <label for="id_longname">Повна назва</label>
          {{ form.longname }}{{ form.longname.errors }}
        </div>

        <div class="row">
          <div style="width: 20%;">
            <div class="column">
              <label for="id_position">Посада</label>
              {{ form.position }}{{ form.position.errors }}
            </div>
          </div>
          <div style="width: 40%;">
            <div class="column">
              <label for="id_leader">Керівник</label>
              {{ form.leader }}{{ form.leader.errors }}
            </div>
          </div>
          <div style="width: 40%;">
            <div class="column">
              <label for="id_case_leader">у родовому відмінку</label>
              {{ form.case_leader }}{{ form.case_leader.errors }}
            </div>
          </div>
        </div>

        <div class="row">
          <div style="width: 50%;">
            <div class="column">
            <label for="id_iban">Рахунок</label>
              {{ form.iban }}{{ form.iban.errors }}
            </div>
          </div>
          <div style="width: 50%;">
            <div class="column">
              <label for="id_ipn">Індивідуальний ПН</label>
              {{ form.ipn }}{{ form.ipn.errors }}
            </div>
          </div>
        </div>

        <div class="column">
          <label for="id_bank">Банк</label>
          {{ form.bank }}{{ form.bank.errors }}
        </div>

        <div class="column">
          <label for="id_adress">Повна адреса</label>
          {{ form.address }}{{ form.address.errors }}
        </div>

        <div class="row">
          <div style="width: 50%;">
            <div class="column">
            <label for="id_email">Електронна пошта підприємства</label>
              {{ form.email }}{{ form.email.errors }}
            </div>
          </div>
          <div style="width: 50%;">
            <div class="column">
              <label for="id_phone">Телефон підприємства</label>
              {{ form.phone }}{{ form.phone.errors }}
            </div>
          </div>
        </div>

        <div class="row">
          <div style="width: 50%;">
            <div class="column">
            <label for="id_contact">Контактна особа</label>
              {{ form.contact }}{{ form.contact.errors }}
            </div>
          </div>
          <div style="width: 50%;">
            <div class="column">
              <label for="id_telcontact">телефон</label>
              {{ form.telcontact }}{{ form.telcontact.errors }}
            </div>
          </div>
        </div>


      <br><br><button type="submit" class="btn">Записати</button>
    </form>
  </div>
</div>
{% endblock %}
